# Retrieve job details

Lists information about a specific job. This is useful, for example, when you want to get the provisioning status using the task identifier.

Endpoint: GET /api/v2/cm/branches/{branchId}/jobs/{jobId}
Version: v2.0
Security: OAuth2.0

## Security:

  - `OAuth2.0` (unknown)
    oauth2

## Path parameters:

  - `branchId` (string, required)
    The ID of the branch, for example `prod`.

  - `jobId` (string, required)
    The unique identifier of job details.

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `steps` (array)

  - `steps.name` (string)

  - `steps.description` (string)

  - `steps.taskTypeId` (string)

  - `steps.taskId` (string)

  - `steps.executionMode` (string)
    Enum: "Strict", "Lenient", "Selective"

  - `id` (string, required)

  - `name` (string, required)

  - `description` (string)

  - `worksetId` (string, required)

  - `jobTypeId` (string, required)

  - `options` (object, required)

  - `options.variables` (object)

  - `system` (object, required)

  - `system.status` (object)

  - `system.status.state` (string)
    Enum: "Created", "Pending", "InProgress", "Completed", "Failed", "Stopped", "Waiting"

  - `system.status.description` (string)

  - `system.type` (string, required)

  - `system.hash` (string, required)

  - `system.createdAt` (string, required)

  - `system.createdBy` (string, required)

  - `system.updatedAt` (string)

  - `system.updatedBy` (string)

## Response 400:

  - `400` (unknown)
    Request not valid or error during operation

## Response 400 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized request or invalid access token

## Response 403:

  - `403` (unknown)
    Request does not contain required scopes

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 500:

  - `500` (unknown)
    Server-side exception during request execution

